Loyalty.lt
Authentication

Send the mobile app download link by SMS

Texts the customer a link to install the Loyalty.lt app. Use it when someone at the till has no app yet and cannot complete QR login.

POST/{locale}/shop/auth/send-app-link

Texts the customer a link to install the Loyalty.lt app. Use it when someone at the till has no app yet and cannot complete QR login.

Authorization

apiKey apiSecret
X-API-Key<token>

Partner API key from the Partners Portal. Always sent together with X-API-Secret.

In: header

X-API-Secret<token>

Partner API secret. Always sent together with X-API-Key.

In: header

Path Parameters

locale*string

Locale code

Value in

  • "lt"
  • "en"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/lt/shop/auth/send-app-link" \  -H "Content-Type: application/json" \  -d '{    "phone": "+37060000001"  }'
{  "success": true,  "code": 200,  "request_id": "550e8400-e29b-41d4-a716-446655440000",  "message": "Success message",  "data": {}}